Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml
[Java] Class NamespaceBuilderSupport

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.xml.NamespaceBuilderSupport

    public class NamespaceBuilderSupport
    extends BuilderSupport

A helper class for creating namespaced GroovyMarkup

Authors:
  James Strachan
  Paul King
  Denver Dino

Constructor Summary
`NamespaceBuilderSupport(BuilderSupport builder)`
`NamespaceBuilderSupport(BuilderSupport builder, String uri)`
`NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix)`
`NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix, boolean autoPrefix)`
`NamespaceBuilderSupport(BuilderSupport builder, Map nsMap)`

Method Summary
`protected Object` | `createNode(Object name)`
`protected Object` | `createNode(Object name, Object value)`
`protected Object` | `createNode(Object name, Map attributes)`
`protected Object` | `createNode(Object name, Map attributes, Object value)`
`NamespaceBuilderSupport` | `declareNamespace(Map nsMap)`
`protected Object` | `getCurrent()`
`protected Object` | `getName(String methodName)`
`NamespaceBuilderSupport` | `namespace(String namespaceURI)`
`NamespaceBuilderSupport` | `namespace(String namespaceURI, String prefix)`
`protected void` | `setCurrent(Object current)`
`protected void` | `setParent(Object parent, Object child)`

Methods inherited from class BuilderSupport
createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, String uri)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, String uri, String prefix, boolean autoPrefix)

### NamespaceBuilderSupport

    public NamespaceBuilderSupport(BuilderSupport builder, Map nsMap)

Method Detail

### createNode

    @Override
    protected Object createNode(Object name)

### createNode

    @Override
    protected Object createNode(Object name, Object value)

### createNode

    @Override
    protected Object createNode(Object name, Map attributes)

### createNode

    @Override
    protected Object createNode(Object name, Map attributes, Object value)

### declareNamespace

    public NamespaceBuilderSupport declareNamespace(Map nsMap)

### getCurrent

    @Override
    protected Object getCurrent()

### getName

    @Override
    protected Object getName(String methodName)

### namespace

    public NamespaceBuilderSupport namespace(String namespaceURI)

### namespace

    public NamespaceBuilderSupport namespace(String namespaceURI, String prefix)

### setCurrent

    @Override
    protected void setCurrent(Object current)

### setParent

    @Override
    protected void setParent(Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.